%define anolis_release 5

Name:           libverto
Version:        0.3.2
Release:        %{anolis_release}%{?dist}
Summary:        Main loop abstraction library

License:        MIT
URL:            https://github.com/latchset/libverto
Source0:        %{url}/releases/download/%{version}/libverto-%{version}.tar.gz

BuildRequires:  make libtool autoconf automake git

BuildRequires:  glib2-devel libevent-devel libev-devel

Obsoletes:      libverto-tevent < %{EVR}
Obsoletes:      libverto-tevent-devel < %{EVR}

%description
libverto exists to solve an important problem: many applications and libraries
are unable to write asynchronous code because they are unable to pick an event
loop. This is particularly true of libraries who want to be useful to many
applications who use loops that do not integrate with one another or which
use home-grown loops. libverto provides a loop-neutral async api which allows
the library to expose asynchronous interfaces and offload the choice of the
main loop to the application.

%package        devel
Summary:        Development files for libverto
Requires:       libverto = %{EVR}
Requires:       pkgconfig

%description    devel
Libraries and header files for developing applications that use libverto.

%package        glib
Summary:        glib module for libverto
Requires:       libverto = %{EVR}

%description    glib
Module for libverto which provides integration with glib.

%package        glib-devel
Summary:        Development files for libverto-glib
Requires:       libverto-glib = %{EVR}
Requires:       libverto-devel = %{EVR}

%description    glib-devel
Libraries and header files for developing applications that use libverto-glib.

%package        libevent
Summary:        libevent module for libverto
Requires:       libverto = %{EVR}
Provides:       libverto-module-base = %{EVR}

%description    libevent
Module for libverto which provides integration with libevent.

%package        libevent-devel
Summary:        Development files for libverto-libevent
Requires:       libverto-libevent = %{EVR}
Requires:       libverto-devel = %{EVR}

%description    libevent-devel
Libraries and header files for developing applications that use libverto-libevent.

%package        libev
Summary:        libev module for libverto
Requires:       libverto = %{EVR}
Provides:       libverto-module-base = %{EVR}

%description    libev
Module for libverto which provides integration with libev.

This package provides libverto-module-base since it supports io, timeout
and signal.

%package        libev-devel
Summary:        Development files for libverto-libev
Requires:       libverto-libev = %{EVR}
Requires:       libverto-devel = %{EVR}

%description    libev-devel
Libraries and header files for developing applications that use libverto-libev.

This package provides libverto-module-base since it supports io, timeout
and signal.

%package doc
Summary:        Documentation files for libverto
Requires:       libverto = %{EVR}
BuildArch:      noarch

%description    doc
The libverto-doc package contains documentation files for libverto.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%generate_compatibility_deps

%files
%dir %{abidir}
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_libdir}/libverto.so.*
%{abidir}/libverto.dump

%files doc
%doc README AUTHORS ChangeLog NEWS

%files devel
%{_includedir}/verto.h
%{_includedir}/verto-module.h
%{_libdir}/libverto.so
%{_libdir}/pkgconfig/libverto.pc

%files glib
%{_libdir}/libverto-glib.so.*
%{abidir}/libverto-glib.dump

%files glib-devel
%{_includedir}/verto-glib.h
%{_libdir}/libverto-glib.so
%{_libdir}/pkgconfig/libverto-glib.pc

%files libevent
%{_libdir}/libverto-libevent.so.*
%{abidir}/libverto-libevent.dump

%files libevent-devel
%{_includedir}/verto-libevent.h
%{_libdir}/libverto-libevent.so
%{_libdir}/pkgconfig/libverto-libevent.pc

%files libev
%{_libdir}/libverto-libev.so.*
%{abidir}/libverto-libev.dump

%files libev-devel
%{_includedir}/verto-libev.h
%{_libdir}/libverto-libev.so
%{_libdir}/pkgconfig/libverto-libev.pc

%changelog
* Mon Apr 10 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.3.2-5
- optimize spec file

* Mon Mar 13 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.3.2-4
- delete unnecessary definition

* Wed Oct 19 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.3.2-3
- optimise spec file

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.3.2-2
- add doc package

* Wed Mar 09 2022 DengXiewei <dengxiewei@linux.alibaba.com> - 0.3.2-1
- Init from upstream 0.3.2
